=== modified file 'NEWS'
--- NEWS	2007-01-04 23:36:44 +0000
+++ NEWS	2007-01-11 17:59:09 +0000
@@ -84,6 +84,10 @@
 
     * Formats for end-user selection are provided via a FormatRegistry (Aaron Bentley)
 
+    * Reserved ids (any revision-id ending in a colon) are rejected by
+      versionedfiles, repositories, branches, and working trees
+      (Aaron Bentley)
+
   BUG FIXES:
 
     * ``bzr missing --verbose`` was showing adds/removals in the wrong

=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2007-01-11 17:20:25 +0000
+++ bzrlib/revision.py	2007-01-11 17:59:09 +0000
@@ -455,5 +455,10 @@
     path.reverse()
     return path
 
+
 def reserved_id(revision_id):
-    return revision_id.endswith(':')
+    """Determine whether a revision id is reserved
+
+    :return: True if the revision is is reserved, False otherwise
+    """
+    return isinstance(revision_id, basestring) and revision_id.endswith(':')

